com.intellectualcrafters.plot.object

## Class PlotId

- java.lang.Object
- - com.intellectualcrafters.plot.object.PlotId

-     public class PlotId
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `x` x value
    `java.lang.Integer` | `y` y value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotId(int x, int y)` PlotId class (PlotId x,y values do not correspond to Block locations)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `static PlotId` | `fromString(java.lang.String string)` Get a Plot Id based on a string
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public java.lang.Integer x

      x value

    - #### y

          public java.lang.Integer y

      y value

  - ### Constructor Detail

    - #### PlotId

          public PlotId(int x,
                int y)

      PlotId class (PlotId x,y values do not correspond to Block locations)
      Parameters:
        `x` - The plot x coordinate
        `y` - The plot y coordinate

  - ### Method Detail

    - #### fromString

          public static PlotId fromString(java.lang.String string)

      Get a Plot Id based on a string
      Parameters:
        `string` - to create id from
      Returns:
        null if the string is invalid

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`